Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.jbotester
Interface JBOField

All Known Implementing Classes:
  JBOFieldHelper, RowsetTextArea, RowsetTextField

public interface JBOField

Method Summary
`boolean` | `applyEdit()`
`boolean` | `applyEditAndValidate()`
`AttributeDef` | `getAttributeDef()`
`java.lang.Object` | `getControlValue()`
`java.lang.Object` | `getDataValue()`
`javax.swing.JComponent` | `getJComponent()`
`LocaleContext` | `getLocaleContext()`
`void` | `refresh()`
`void` | `setControlValue(java.lang.Object value)`
`boolean` | `setDataValue(java.lang.Object value)`
`void` | `setRow(Row newRowBinding, RowSetIterator iter)`

Method Detail

### setRow

    public void setRow(Row newRowBinding,
                       RowSetIterator iter)

### getAttributeDef

    public AttributeDef getAttributeDef()

### getDataValue

    public java.lang.Object getDataValue()

### setDataValue

    public boolean setDataValue(java.lang.Object value)

### getControlValue

    public java.lang.Object getControlValue()

### setControlValue

    public void setControlValue(java.lang.Object value)

### getJComponent

    public javax.swing.JComponent getJComponent()

### getLocaleContext

    public LocaleContext getLocaleContext()

### applyEdit

    public boolean applyEdit()

### applyEditAndValidate

    public boolean applyEditAndValidate()

### refresh

    public void refresh()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.